StableOps
API 參考

查詢 Webhook 端點列表

查詢目前組織和環境的 StableOps Webhook 端點列表,核對接收地址與訂閱設定,為排查漏投和維護整合提供依據。接收端應使用原始請求體驗籤,以事件標識去重,並在可靠儲存任務後應答成功。投遞可能重複、併發或亂序,重放與設定調整均需配合業務狀態核對。

GET/v1/webhook-endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Query Parameters

offset?unknown
limit?unknown

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhook-endpoints"
{
  "items": [
    {
      "id": "string",
      "url": "http://example.com",
      "description": "string",
      "enabled_events": [
        "payment_order.created"
      ],
      "redact_metadata": true,
      "disabled_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "secret": "string"
    }
  ],
  "has_more": true,
  "total": 0
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新